%define	module_name	Net-SSLeay
%define	enable_tests	0

%define	__find_provides	%{_libdir}/rpm/find-provides.perl
%define	__find_requires	%{_libdir}/rpm/find-requires.perl

Summary:	Net::SSLeay is a program that does something useful for some people
Name:		perl-%{module_name}
Group:		Utilities/CPAN
License:	GPL
Version:	1.25
Release:	3
Source0:	%{module_name}-%{version}.tar.gz
Requires:	perl >= 5.8.5, openssl
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
URL:		http://search.cpan.org/CPAN/authors/id/S/SA/SAMPO/

%description 
Net::SSLeay module for perl.

%files -f %{module_name}-%{version}-filelist
  %defattr(-,root,root)

%prep
%setup -q -n %{module_name}-%{version}

%build
  export OPTIMIZE="$RPM_OPT_FLAGS"
  export CFLAGS="$RPM_OPT_FLAGS"
  perl Makefile.PL /usr PREFIX=$RPM_BUILD_ROOT/%{_prefix} INSTALLDIRS=vendor
  make

  %if %{enable_tests}
    make test || :
  %endif

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make install

  [ -x %{_prefix}/lib/rpm/brp-compress ] && %{_prefix}/lib/rpm/brp-compress

  # Kill unused files.
  find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

  # Build filelist.
  find $RPM_BUILD_ROOT/%{_prefix} -type f -print |
	sed "s@^$RPM_BUILD_ROOT@@g" |
	grep -v perllocal.pod |
	grep -v "\.packlist" > %{module_name}-%{version}-filelist

  # Sanity check.
  if [ "$(cat %{module_name}-%{version}-filelist)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
  fi

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jul 26 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.25, Release 3
  - Don't look for brp-compress in %{_libdir} as it doesn't
    work on 64bit systems.

* Fri Jul 08 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.25, Release 2
  - Rebuild against openssl-0.9.8.

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.25, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
